﻿import es
import playerlib
import random

# ******************** Events ********************
def player_spawn(event_var):
	if es.ServerVar("soccer_mod_allowed") == 1:
		player = playerlib.getPlayer(event_var["userid"])
		if player.team > 1:
			if es.ServerVar("sm_cap_fight_started") == 0:
				player.setHealth(es.ServerVar("sm_health_amount"))

				if es.ServerVar("sm_health_god_mode_on") == 1:
					player.godmode(1)

def player_hurt(event_var):
	if es.ServerVar("soccer_mod_allowed") == 1:
		if es.ServerVar("sm_cap_fight_started") == 0:
			if es.ServerVar("sm_health_god_mode_on") == 0:
				player = playerlib.getPlayer(event_var["userid"])
				player.setHealth(es.ServerVar("sm_health_amount"))

def round_start(event_var):
	if es.ServerVar("soccer_mod_allowed") == 1:
		players = playerlib.getUseridList("#all")
		if len(players) > 0:
			es.server.queuecmd('es_xfire %s trigger_hurt addoutput "OnStartTouch point_servercommand,command,es_xdoblock soccer_mod_2011/modules/health/disable_god_mode"' % (random.choice(players)))

# ******************** Functions ********************
def disable_god_mode():
	for player in playerlib.getPlayerList("#alive"):
		player.godmode(0)